type Params = {
  pagination: any;
  basicParams: any;
  company: any;
};

/**
 * 合并查询参数
 */
export function mergeParams({ pagination, basicParams, company }: Params) {
  if (!pagination) return basicParams;

  const { currentPage: page, pageSize: size } = pagination;

  return {
    page,
    size,
    ...basicParams,
    ...company
  };
}
